summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2020-06-21 18:03:11 +0200
committerPatrice Clement <monsieurp@gentoo.org>2020-06-21 18:04:48 +0200
commit0dbb5f3e9f44b1fa586421b2e5bbd34ab07aeccf (patch)
treed4060a8b0ac729cf7567e11a7a16f5bf73089a18 /app-vim
parentapp-vim/notes: clean up old. (diff)
downloadgentoo-0dbb5f3e9f44b1fa586421b2e5bbd34ab07aeccf.tar.gz
gentoo-0dbb5f3e9f44b1fa586421b2e5bbd34ab07aeccf.tar.bz2
gentoo-0dbb5f3e9f44b1fa586421b2e5bbd34ab07aeccf.zip
app-vim/easytags: add python{3_6,3_7,3_8} to targets.
Closes: https://bugs.gentoo.org/708982 Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/easytags/easytags-3.11-r1.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/app-vim/easytags/easytags-3.11-r1.ebuild b/app-vim/easytags/easytags-3.11-r1.ebuild
new file mode 100644
index 00000000000..cbd424d4f07
--- /dev/null
+++ b/app-vim/easytags/easytags-3.11-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit python-single-r1 vim-plugin
+
+DESCRIPTION="vim plugin: automated tag file generation and syntax highlighting"
+HOMEPAGE="http://peterodding.com/code/vim/easytags/"
+SRC_URI="https://github.com/xolox/vim-${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ app-vim/vim-misc
+ dev-util/ctags"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+S="${WORKDIR}/vim-${P}"
+
+PATCHES=( "${FILESDIR}/${P}-fix-ctags-detection.patch" )
+
+src_prepare() {
+ default
+ rm addon-info.json INSTALL.md README.md || die
+}
+
+src_install() {
+ vim-plugin_src_install
+
+ fperms 755 /usr/share/vim/vimfiles/misc/easytags/{normalize-tags,why-so-slow}.py
+
+ # fix scripts
+ local f
+ for f in $(find "${ED}" -type f -name \*.py); do
+ ebegin "Fixing $(basename ${f})"
+ if [[ $f =~ highlight.py ]]; then
+ sed -e '1 i\#!/usr/bin/env python3' -i "${f}" || die "can't sed patch ${f}"
+ fi
+ 2to3 -w -n --no-diffs "${f}" >& /dev/null || die "can't convert ${f} to Python 3"
+ python_fix_shebang -q -f "${f}"
+ eend $?
+ done
+}